<template>
    <a
        v-if="banner"
        @click="registerBannerClick(banner.id)"
        :href="banner.link"
        class="sidebar-ad-place flex aifs"
        target="_blank"
    >
        <img :src="`/storage/${banner.img}`" alt class="ad-place-img">
    </a>
</template>

<script>
export default {
    name: 'AdPlace',
    props: {
        banner: Object
    },
    methods: {
        registerBannerClick(id) {
            this.$root.$emit('registerBannerClick', id)
        }
    }
}
</script>
